Subject: 24.0.50; buffer loads in minibuffer and does not go away

From: Vijay Lakshminarayanan <[email-masked]>
Date: Sun, 11 Sep 2011 09:26:14 +0530

Hello

Emacs commands are prefixed with ;
Shell commands are prefixed with $

$ emacs -Q

; (setq-default enable-recursive-minibuffers 't)
; M-: (setenv
; C-h f
; C-x o
; C-x o
Now point is in the help buffer, TAB and open env.el

The file opens up in the minibuffer.  After that, I couldn't find an
easy way to close it (see below).

Buffers should never open up in the minibuffer.

The same bug occurs even when enable-recursive-minibuffers is nil.
However, in that case, the problem is goes away the next time you try
to access the minibuffer (M-x, M-: etc).  If I set
enable-recursive-minibuffers back to nil, then the problem goes away.

I've traced the bug to select-window which is defined in src/window.c
I'm going through it but I still haven't figured out how to build
emacs in Windows.

Below is the report generated by Emacs.

In GNU Emacs 24.0.50.1 (i386-mingw-nt6.0.6002)
 of 2011-06-20 on 3249CTO
Windowing system distributor `Microsoft Corp.', version 6.0.6002
configured using `configure --with-gcc (4.5) --no-opt --cflags
-Ic:/build/include'

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: ENU
  value of $XMODIFIERS: nil
  locale-coding-system: cp1252
  default enable-multibyte-characters: t

Major mode: Emacs-Lisp

Minor modes in effect:
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
C-y C-M-x M-: M-( s e t e n v C-h f <return> C-x o
C-x o <tab> <return> M-x r e p o r t - e m a c s -
b u g <return>

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
Mark set
t
Type C-x 1 to delete the help window.
mouse-2, RET: find function's definition

Load-path shadows:
None found.

Features:
(shadow sort gnus-util time-date mail-extr message format-spec rfc822
mml mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231 rfc2047
rfc2045 ietf-drums mm-util mail-prsvr mailabbrev mail-utils gmm-utils
mailheader emacsbug find-func help-mode easymenu view help-fns tooltip
ediff-hook vc-hooks lisp-float-type mwheel dos-w32 disp-table ls-lisp
w32-win w32-vars tool-bar dnd fontset image fringe lisp-mode register
page menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock
font-lock syntax facemenu font-core frame cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese hebrew
greek romanian slovak czech european ethiopic indian cyrillic chinese
case-table epa-hook jka-cmpr-hook help simple abbrev minibuffer button
faces cus-face files text-properties overlay sha1 md5 base64 format env
code-pages mule custom widget hashtable-print-readable backquote
make-network-process multi-tty emacs)